
; The names for city tiles are not free and must follow the following rules.
; The names consists of style name, _ , size. The style name is as specified
; in cities.ruleset file. The size indicates which size city must
; have to be drawn with a tile. E.g. european_4 means that the tile is to be
; used for cities of size 4+ in european style. Obviously the first tile
; must be style_name_0. The sizes must be in ascending order.
; There must also be a style_name_wall tile used to draw the wall and
; an occupied tile to indicate a miltary units in a city.
; The maximum size supported now is 31, but there can only be MAX_CITY_TILES
; normal tiles. The constant is defined in common/city.h and set to 8 now.
;

[spec]

; Format and options of this spec file:
options = "+spec3"

[info]

artists = "
    Franz Mach <ft@uliq.net>
"

[file]
gfx = "ancients/ft/cities"

[grid_main]

x_top_left = 1
y_top_left = 50
dx = 64
dy = 48
is_pixel_border = 1

tiles = { "row", "column", "tag"

; default tiles

 1,  2, "cd.city"

; used by all city styles

12,  3, "city.disorder"
;12, 4, "city.disorder"

;
; city tiles
;

 0,  0, "city.precolumbian_0"
 0,  1, "city.precolumbian_3"
 0,  2, "city.precolumbian_5"
 0,  3, "city.precolumbian_8"
 0,  4, "city.precolumbian_12"

 1,  0, "city.classical_0"
 1,  1, "city.classical_3"
 1,  2, "city.classical_5"
 1,  3, "city.classical_8"
 1,  4, "city.classical_12"

 2,  0, "city.asian_0"
 2,  1, "city.asian_3"
 2,  2, "city.asian_5"
 2,  3, "city.asian_8"
 2,  4, "city.asian_12"

 3,  0, "city.european_0"
 3,  1, "city.european_3"
 3,  2, "city.european_5"
 3,  3, "city.european_8"
 3,  4, "city.european_12"

 4,  0, "city.mesopotamian_0"
 4,  1, "city.mesopotamian_3"
 4,  2, "city.mesopotamian_5"
 4,  3, "city.mesopotamian_8"
 4,  4, "city.mesopotamian_12"

 5,  0, "city.arabian_0"
 5,  1, "city.arabian_3"
 5,  2, "city.arabian_5"
 5,  3, "city.arabian_8"
 5,  4, "city.arabian_12"

 6,  0, "city.african_0"
 6,  1, "city.african_3"
 6,  2, "city.african_5"
 6,  3, "city.african_8"
 6,  4, "city.african_12"

 7,  0, "city.industrial_0"
 7,  1, "city.industrial_3"
 7,  2, "city.industrial_5"
 7,  3, "city.industrial_8"
 7,  4, "city.industrial_12"

 8,  0, "city.modern_0"
 8,  1, "city.modern_3"
 8,  2, "city.modern_5"
 8,  3, "city.modern_8"
 8,  4, "city.modern_12"

 9,  0, "city.postmodern_0"
 9,  1, "city.postmodern_3"
 9,  2, "city.postmodern_5"
 9,  3, "city.postmodern_8"
 9,  4, "city.postmodern_12"

10,  0, "city.asiaminor_0"
10,  1, "city.asiaminor_3"
10,  1, "city.asiaminor_5"
10,  1, "city.asiaminor_8"
10,  1, "city.asiaminor_12"

10,  2, "city.minor_0"
10,  3, "city.minor_3"
10,  3, "city.minor_5"
10,  3, "city.minor_8"
10,  3, "city.minor_12"

10,  4, "city.minorhill_0"
10,  4, "city.minorhill_3"
10,  4, "city.minorhill_5"
10,  4, "city.minorhill_8"
10,  4, "city.minorhill_12"

11,  0, "city.barbarian_0"
11,  1, "city.barbarian_3"
11,  2, "city.barbarian_5"
11,  3, "city.barbarian_8"
11,  4, "city.barbarian_12"

10,  0, "city.tropical_0"
11,  1, "city.tropical_3"
11,  2, "city.tropical_5"
11,  3, "city.tropical_8"
11,  4, "city.tropical_12"

}

[grid_specials]

x_top_left = 375
y_top_left = 675
dx = 64
dy = 60
is_pixel_border = 1

tiles = { "row", "column", "tag"

 0, 0, "tx.fortress_back"
 0, 1, "tx.fortress"
 0, 2, "tx.airbase"
 0, 3, "tx.airbase_full"
}

[grid_flags]

x_top_left = 408
y_top_left = 640
dx = 14
dy = 33
is_pixel_border = 1

tiles = { "row", "column", "tag"

 0, 0, "city.barbarian_occupied"
 0, 1, "city.precolumbian_occupied"
 0, 2, "city.mesopotamian_occupied"
 0, 3, "city.classical_occupied"
 0, 4, "city.asian_occupied", "city.tropical_occupied"
 0, 5, "city.arabian_occupied"
 0, 6, "city.european_occupied"
 0, 7, "city.african_occupied"
 0, 8, "city.industrial_occupied", "city.modern_occupied"
 0, 9, "city.minor_occupied"
 0,10, "city.minorhill_occupied"
 0,11, "city.asiaminor_occupied"
 0,12, "city.postmodern_occupied"
}

[grid_walls]

x_top_left = 375
y_top_left = 50
dx = 64
dy = 48
is_pixel_border = 1

tiles = { "row", "column", "tag"

; city tiles

 0,  0, "city.precolumbian_0_wall"
 0,  1, "city.precolumbian_3_wall"
 0,  2, "city.precolumbian_5_wall"
 0,  3, "city.precolumbian_8_wall"
 0,  4, "city.precolumbian_12_wall"

 1,  0, "city.classical_0_wall"
 1,  1, "city.classical_3_wall"
 1,  2, "city.classical_5_wall"
 1,  3, "city.classical_8_wall"
 1,  4, "city.classical_12_wall"

 2,  0, "city.asian_0_wall"
 2,  1, "city.asian_3_wall"
 2,  2, "city.asian_5_wall"
 2,  3, "city.asian_8_wall"
 2,  4, "city.asian_12_wall"

 3,  0, "city.european_0_wall"
 3,  1, "city.european_3_wall"
 3,  2, "city.european_5_wall"
 3,  3, "city.european_8_wall"
 3,  4, "city.european_12_wall"

 4,  0, "city.mesopotamian_0_wall"
 4,  1, "city.mesopotamian_3_wall"
 4,  2, "city.mesopotamian_5_wall"
 4,  3, "city.mesopotamian_8_wall"
 4,  4, "city.mesopotamian_12_wall"

 5,  0, "city.arabian_0_wall"
 5,  1, "city.arabian_3_wall"
 5,  2, "city.arabian_5_wall"
 5,  3, "city.arabian_8_wall"
 5,  4, "city.arabian_12_wall"

 6,  0, "city.african_0_wall"
 6,  1, "city.african_3_wall"
 6,  2, "city.african_5_wall"
 6,  3, "city.african_8_wall"
 6,  4, "city.african_12_wall"

 7,  0, "city.industrial_0_wall"
 7,  1, "city.industrial_3_wall"
 7,  2, "city.industrial_5_wall"
 7,  3, "city.industrial_8_wall"
 7,  4, "city.industrial_12_wall"

 8,  0, "city.modern_0_wall"
 8,  1, "city.modern_3_wall"
 8,  2, "city.modern_5_wall"
 8,  3, "city.modern_8_wall"
 8,  4, "city.modern_12_wall"

 9,  0, "city.postmodern_0_wall"
 9,  1, "city.postmodern_3_wall"
 9,  2, "city.postmodern_5_wall"
 9,  3, "city.postmodern_8_wall"
 9,  4, "city.postmodern_12_wall"

10,  0, "city.asiaminor_0_wall"
10,  1, "city.asiaminor_3_wall"
10,  1, "city.asiaminor_5_wall"
10,  1, "city.asiaminor_8_wall"
10,  1, "city.asiaminor_12_wall"

10,  2, "city.minor_0_wall"
10,  3, "city.minor_3_wall"
10,  3, "city.minor_5_wall"
10,  3, "city.minor_8_wall"
10,  3, "city.minor_12_wall"

10,  4, "city.minorhill_0_wall"
10,  4, "city.minorhill_3_wall"
10,  4, "city.minorhill_5_wall"
10,  4, "city.minorhill_8_wall"
10,  4, "city.minorhill_12_wall"

11,  0, "city.barbarian_0_wall"
11,  1, "city.barbarian_3_wall"
11,  2, "city.barbarian_5_wall"
11,  3, "city.barbarian_8_wall"
11,  4, "city.barbarian_12_wall"

10,  0, "city.tropical_0_wall"
11,  1, "city.tropical_3_wall"
11,  2, "city.tropical_5_wall"
11,  3, "city.tropical_8_wall"
11,  4, "city.tropical_12_wall"

}

